#
# spec file for package yast2-qt (Version 2.9.24)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  curl curl-devel gpp libgpp libxcrypt libxcrypt-devel liby2util liby2util-devel openssl openssl-devel qt-devel-packages rpm-devel yast2-devel-packages yast2-packagemanager yast2-packagemanager-devel

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db4 MAKEDEV diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-common gpm grep groff gzip info chkconfig kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netconfig openldap-clients openssl pam  patch popt procinfo procps psmisc shadow-utils rcs readline sed strace sysklogd SysVinit tar tcp_wrappers texinfo tzdata unzip util-linux vim-common zlib zlib-devel xorg-x11-Mesa-libGLU xorg-x11-devel xorg-x11-libs autoconf automake binutils curl curl-devel dejagnu doxygen expat expect fontconfig fontconfig-devel freeglut freeglut-devel freetype freetype-devel gcc gcc-c++ gdbm gettext libjpeg liblcms liblcms-devel libmng libmng-devel libpng libpng-devel libstdc++-devel libtool libxcrypt-devel liby2util liby2util-devel openslp openslp-devel openssl-devel perl perl-XML-Writer perl-gettext qt qt-devel rpm rpm-devel tcl update-desktop-files yast2 yast2-core yast2-core-devel yast2-devtools yast2-packagemanager yast2-packagemanager-devel yast2-perl-bindings yast2-testsuite suse-macros compat-gcc-32-c++ beecrypt-devel

Name:         yast2-qt
Version:      2.9.24
Release:      0.3
License:      GPL
Group:        System/YaST
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Source0:      yast2-qt-2.9.24.tar.bz2
prefix:		/usr
Summary:      YaST2 - Graphical User Interface
Provides:     yast2_ui
Provides:     y2base:/var/lib/YaST2/servers/qt
Provides:     y2base:/usr/lib/YaST2/servers/qt
Provides:     y2base:/usr/lib/YaST2/plugin/libpy2qt.so.2
Provides:     yast2-ui-qt yast2-ui-qt-devel
Obsoletes:    yast2-ui-qt yast2-ui-qt-devel
Provides:     y2qt
Obsoletes:    y2qt

%description
One of several user interfaces available for YaST2, based on Qt and the
X Window System.



Authors:
--------
    Mathias Kettner <kettner@suse.de>
    Stefan Hundhammer <sh@suse.de>

%prep
%setup -n yast2-qt-2.9.24

%build
%{prefix}/bin/y2tool y2autoconf
%{prefix}/bin/y2tool y2automake
autoreconf --force --install
RPM_OPT_FLAGS=`echo "$RPM_OPT_FLAGS" | sed -e 's/-mtune=pentium4//'`
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
CC=gcc32  CXX=g++32 ./configure --libdir=%{_libdir} --prefix=%{prefix} --with-qt-dir=%{_libdir}/qt-3.3 --with-qt-libdir=%{_libdir}/qt-3.3/lib --mandir=%{_mandir}
make %{?jobs:-j%jobs}

%install
[ "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK" ] || Y2DIR="$RPM_BUILD_ROOT/usr/share/YaST2" make check DESTDIR="$RPM_BUILD_ROOT"
for f in `find $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/*.desktop` ; do
    d=${f##*/}
    %suse_update_desktop_file ${d%.desktop}
done

%clean
[ "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"

%files
%defattr (-, root, root)
%{_libdir}/YaST2/plugin/libpy2qt.so.*
%{_libdir}/YaST2/plugin/libpy2qt.so
%{_libdir}/YaST2/plugin/libpy2qt.la
/usr/share/YaST2/images/*.xpm
%dir %{prefix}/include/YaST2/y2qt
%{prefix}/include/YaST2/y2qt/*.h
%dir /usr/X11R6/lib/X11/fonts/uni
%verify(not md5 size mtime) /usr/X11R6/lib/X11/fonts/uni/fonts.dir
/usr/X11R6/lib/X11/fonts/uni/newunifont.pcf.gz
/usr/X11R6/lib/X11/fonts/uni/newunifontB.pcf.gz
/usr/X11R6/lib/X11/fonts/uni/newunifontB18.pcf.gz
/usr/X11R6/lib/X11/fonts/uni/newunifontBI.pcf.gz
/usr/X11R6/lib/X11/fonts/uni/newunifontI.pcf.gz
/usr/X11R6/lib/X11/fonts/uni/unifont.pcf.gz
%doc %{prefix}/share/doc/packages/yast2-qt

%changelog -n yast2-qt
* Fri Mar 09 2007 - wenji.huang@oracle.com
- Fit spec to rhel/el
* Tue May 04 2004 - sh@suse.de
- Fixed bug #39846: Strange button layout after RestoreBackButton()
- Fixed bug #39692: Wizard tree and menu item IDs returned in wrong encoding
- V 2.9.24
* Tue May 04 2004 - gs@suse.de
- messages from proof reading merged back
* Fri Apr 30 2004 - sh@suse.de
- Added new DumbTab widget
- V 2.9.23
* Tue Apr 20 2004 - mvidner@suse.cz
- link against libyui to make loading from Perl work (#39192)
- 2.9.22
* Wed Apr 07 2004 - sh@suse.de
- V 2.9.21
- Fixed bug #38603: Excessive wizard headings make buttons disappear
* Tue Apr 06 2004 - sh@suse.de
- V 2.9.20
- Fixed bug #36908: Dynamic font sizes during installation
- Fixed bug #37001: Dynamic default window size based on resolution
* Tue Apr 06 2004 - sh@suse.de
- V 2.9.19
- Fixed bug #38216: No shortcut check upon Wizard::Set???Button()
* Mon Apr 05 2004 - sh@suse.de
- V 2.9.18
- Honor environment variable KCMYAST2_CALL for KControl embedding
  (no wizard decorations, suppress wizard help)
* Sun Apr 04 2004 - adrian@suse.de
- the old (bad) qxembed solution is back .. :/
* Fri Apr 02 2004 - sh@suse.de
- License change to GPL
* Thu Apr 01 2004 - sh@suse.de
- V 2.9.16
- Small fixes for wizard menus + trees
  patch verified by cschum
* Wed Mar 31 2004 - sh@suse.de
- Fixed bug #37581: Inconsistent widgets in yast2 modules:
  Added wizard menus and trees
* Wed Mar 31 2004 - sh@suse.de
- Implemented YQWizard::currentTreeSelection() for QueryWidget()
* Wed Mar 31 2004 - cschum@suse.de
- Do UTF8 conversion for patch kind tooltips (#37584).
* Tue Mar 30 2004 - sh@suse.de
- Added tree to wizard side panel (for autoyast, sysconfig-editor)
* Mon Mar 22 2004 - sh@suse.de
- Fixed bug #36218: Use YaST icons for YaST windows WM decorations
* Mon Mar 22 2004 - sh@suse.de
- Fixed bug #35625: Wizard button order
  Restored old button order
* Wed Mar 17 2004 - sh@suse.de
- Fixed bug #35645: Wizard layout looks strange
  added HVCenter() around ReplacePoint()
* Wed Mar 17 2004 - nashif@suse.de
- #if 0 not working hasSmallDecorations completely
* Tue Mar 16 2004 - sh@suse.de
- Minimal approach fix for bug #33584: Show license agreements
- V 2.9.12
* Fri Mar 12 2004 - sh@suse.de
- Enabled shortcut checking for wizard buttons
- Integrated wizard buttons in YQDialog default button handling
- Adapted to const ref fix in libyui for all widget constructors
- V 2.9.11
* Thu Mar 11 2004 - sh@suse.de
- Fixed bug #35611: &product; macro not expanded
- Fixed bug #35623: Allow status "protected" for YOU patches
* Wed Mar 10 2004 - lnussel@suse.de
- New conflict resolution remove referers (#24306)
- V 2.9.10
* Wed Mar 10 2004 - sh@suse.de
- New wizard
- V 2.9.9
* Thu Mar 04 2004 - sh@suse.de
- Fixed bug #34909: Pkg Mgr "auto-changed pkgs" too large for screen
* Mon Mar 01 2004 - sh@suse.de
- Save screen shot name if recording macro
* Sat Feb 28 2004 - sh@suse.de
- V 2.9.5
- more fixes for improved GUI
* Tue Feb 10 2004 - arvin@suse.de
- include YQWizard.h in tar-ball
* Tue Feb 10 2004 - sh@suse.de
- V 2.9.3
- Merged wizard-widget-branch to HEAD with NI
- Misc small fixes
* Wed Feb 04 2004 - sh@suse.de
- V 2.9.2
- New embedding: No more QXEmbed, now via KPart (external program)
* Thu Jan 29 2004 - sh@suse.de
- Fixed Y2Component handling
* Tue Jan 27 2004 - sh@suse.de
- V 2.9.1
- Adapted to new interpreter (visnov@suse.cz)
- Adapted to new libyui naming scheme
- Consistent naming scheme
* Fri Nov 14 2003 - mvidner@suse.cz
- adapted to doxygen
* Tue Oct 21 2003 - sh@suse.de
- Fixed bug #32510: Excess initial SelBox SelectionChanged event
* Fri Oct 10 2003 - sh@suse.de
- V 2.9.0
- Applied cschum's fix for bug #31965:
  Wrong encoding in YOU "display raw package info" dialog
* Fri Sep 19 2003 - sh@suse.de
- V 2.8.15
- Applied visnov's patch to fix bug #5547: IntField value
- Fixed bug #31015 thanks to llunak: "Solving dependencies"
  popup without WM decoreations
* Wed Sep 17 2003 - sh@suse.de
- V 2.8.14
* Wed Sep 17 2003 - sh@suse.de
- Fixed bug #30236: Bad fullscreen geometry for some window managers
* Wed Sep 17 2003 - sh@suse.de
- Fixed bug #31155: Busy cursor in disk space warning dialog
* Wed Sep 17 2003 - sh@suse.de
- Fixed bug #30513: Some PkgMgr popup dialogs too large in 640x480
* Wed Sep 17 2003 - sh@suse.de
- Fixed bug #31047: File selection dialog untranslated
* Mon Sep 15 2003 - sh@suse.de
- V 2.8.13
- Better fix for bug #30500 by jw@suse.de
* Fri Sep 12 2003 - sh@suse.de
- V 2.8.12
- Interim fix for bug #30500
* Mon Sep 08 2003 - sh@suse.de
- V 2.8.11
- Fixed bug #26494: Keyboard focus when embedded into KControl:
  Reimported the latest version of QXEmbed
* Fri Sep 05 2003 - sh@suse.de
- V 2.8.10
- Fixed bug #30151: Enable starting pkg mgr in search mode
  by default in installed system
* Thu Sep 04 2003 - sh@suse.de
- V 2.8.9
- Fixed bug #29529: Package links (again):
  Discard trailing slashes in URL
* Tue Sep 02 2003 - sh@suse.de
- Fixed bug #23660: RichText widget eats [Return]
* Mon Sep 01 2003 - sh@suse.de
- Fixed bug #27336: Combo box for YOU patch selection
- Fixed bug #27437: Display YOU pre/post scripts / extra files
* Mon Sep 01 2003 - sh@suse.de
- V 2.8.8
- Fixed bug #29529: Package links
* Fri Aug 29 2003 - sh@suse.de
- V 2.8.7
- Fixed bug #29603 - fonts.dir should have %%verify in .spec file
* Wed Aug 27 2003 - sh@suse.de
- V 2.8.6
- Removed qApp->unlock() at end of YUIQt constructor:
  No more QMutex warning in log
* Tue Aug 12 2003 - gs@suse.de
- V 2.8.5
- merge texts from proofread
* Tue Jul 15 2003 - sh@suse.de
- V 2.8.4
- Lots of internal reworking
- Completely reworked event handling
- No more self-generated events during widget creation / ChangeWidget
- Basic support for right-to-left languages like Arabic / Hebrew
  (not perfect yet)
* Tue Jun 10 2003 - sh@suse.de
- V 2.8.3
- Don't build obsolete standalone server component "qt" any more
- Don't install header files: they are not packaged anyway
* Wed Jun 04 2003 - sh@suse.de
- V 2.8.2
- Fixed yet another ambituous overload due to changed Qt lib
* Fri May 23 2003 - sh@suse.de
- Fixed build problems due to new Qt lib (ambiguous overload)
- V 2.8.1
* Thu Apr 10 2003 - sh@suse.de
- Fixed bug #25419: Qt PkgMgr shows correct version downgrades red
* Tue Apr 08 2003 - sh@suse.de
- Fixed bug #26155: Hiding YOU patches marked for update
* Wed Mar 12 2003 - sh@suse.de
- Don't force *.sel extension for pkg lists
* Wed Mar 12 2003 - sh@suse.de
- Enable mounting floppy for pkg list import / export
* Mon Mar 10 2003 - sh@suse.de
- Fixed bug #25011: Force dependency check on startup in PkgMgr
* Mon Mar 10 2003 - sh@suse.de
- Update disk usage in PkgMgr after selection dependency solving
* Mon Mar 10 2003 - sh@suse.de
- V 2.7.15
- Fixed bug #24981: Can't search for non-ASCII chars in Qt PkgMgr
* Thu Mar 06 2003 - sh@suse.de
- Fixed bug #24615: "checking dependencies" popup not centered
* Wed Mar 05 2003 - sh@suse.de
- Fixed bug #24707: QListView tooltips only on right scroll bar
* Fri Feb 28 2003 - sh@suse.de
- V 2.7.14
* Fri Feb 28 2003 - sh@suse.de
- Fixed bug #22513 - language selection loses some key events
* Fri Feb 28 2003 - sh@suse.de
- Use new 'floppyDevice' parameter for PackageSelector
* Fri Feb 28 2003 - sh@suse.de
- Fixed bug #24388: YQFrame repaint one pixel off in both dimensions
* Thu Feb 27 2003 - sh@suse.de
- Fixed bug #24445: Missing status update when importing pkg list
* Thu Feb 27 2003 - sh@suse.de
- Fixed bug #23368: kcontrol embedding fails if first dialog is a popup
* Wed Feb 26 2003 - sh@suse.de
-  Fixed bug #23574: "Checking dependencies" popup
* Wed Feb 26 2003 - sh@suse.de
- Fixed bug #24274: Wrong disk initial usage display
* Tue Feb 25 2003 - sh@suse.de
- Workaround for bug #24088: Leftover busy cursor in root window
* Tue Feb 25 2003 - sh@suse.de
- Fixed bug #24255: Multiple search in yast2-qt package
* Tue Feb 25 2003 - sh@suse.de
- Fixed wrong tool tip "this version is installed in your system"
  (for all versions) in package manager "versions" view
* Tue Feb 25 2003 - sh@suse.de
- Fixed bug #23855: Asking for loading Modules does not have focus
* Mon Feb 24 2003 - sh@suse.de
- V 2.7.13
- Fixed bug #23923: Can't save package selection
* Thu Feb 20 2003 - sh@suse.de
- Fixed bug #23868: Handle preformatted notify texts
* Thu Feb 20 2003 - sh@suse.de
- "Obsolete" dependency conflicts cannot be ignored
  (RPM always deletes the obsoleted package)
* Thu Feb 20 2003 - sh@suse.de
- Fixed bug #23914: Package manager crashes when opening "package"
  menu and package list is empty (e.g., empty search result)
* Wed Feb 19 2003 - sh@suse.de
- Fixed bug #23755: Busy cursor in file selection dialogs
* Wed Feb 19 2003 - sh@suse.de
- Fixed bug #23654: Window partially invisible
* Wed Feb 19 2003 - sh@suse.de
- Fixed bug #23770: Always show automatically selected pkgs, even
  during base installation
* Tue Feb 18 2003 - sh@suse.de
- New "protected" icons by Ken
* Mon Feb 17 2003 - sh@suse.de
- V 2.7.12
- Fixed broken "protected" actions
- Fixed preliminary "protected" icons
* Fri Feb 14 2003 - sh@suse.de
- V 2.7.11
- Fixed bug #23577: Popups can be clicked into the background
* Fri Feb 14 2003 - sh@suse.de
- Fixed bug #23650: Confusion about "Export List to Text File":
  Moved this function from "Extras" menu to package list context
  menu
- Disabled pkg status "protected" for selections / YOU patches
* Thu Feb 13 2003 - sh@suse.de
- Suppress "YaST2@linux" window title (bug #23584)
* Thu Feb 13 2003 - sh@suse.de
- Improved default button behaviour
- Removed junk logging
* Mon Feb 10 2003 - sh@suse.de
- V 2.7.10
- New package status "protected"
* Mon Feb 10 2003 - sh@suse.de
- V 2.7.9
- Don't force Unicode font
- Show different icons in package manager for autoinstall etc. by
  selection and autoinstall etc. by dependencies
* Fri Jan 31 2003 - sh@suse.de
- V 2.7.8
- Adapted to changed PkgDep::RelInfo API
* Wed Jan 29 2003 - sh@suse.de
- V 2.7.7
- User messages back from proofreading
- Show auto-packages on demand in package manager
* Mon Jan 27 2003 - sh@suse.de
- V 2.7.6
- Added "rpm-devel" to "neededforbuild"
- Support enabling/disabling for container widgets as well
- Show "auto changes" popup in package manager
- YOU mode package manager changes:
- Show total download size
- Dropped "Packages" menu (pkgs are read-only there)
- Added "YOU Patches" menu instead
- Addes "Show raw patch info" dialog
* Tue Jan 21 2003 - sh@suse.de
- V 2.7.5
- Use textdomain "qt-packages" for all texts to avoid textdomain
  name clashes
- New command line options --fullscreen, --noborder
- Fixed busy cursors
* Mon Jan 20 2003 - sh@suse.de
- Package manager enhancements:
- Enhanced feedback while checking dependencies
- Changed default to "off" for auto dependency check
- Save/load ignored dependency conflicts to/from
  /var/adm/YaST/ignored-conflicts
- Bumped version to 2.7.4
* Tue Jan 14 2003 - sh@suse.de
- Package manager enhancements:
- Added menu bar
- Added bubble help for all kinds of lists
- Rearranged pkg list columns (moved summary left)
- Re-enabled source RPM handling
- Added currently installed version to "versions" view
  (non-editable)
- Status change actions for "all in current list"
- Show disk space for all available partitions
- Added "installation summary" filter view
- Dependency checking now for selections, too
- Added symbols help
- Added special keys help
- Auto check is now "off" by default
- Bumped version to 2.7.3
* Tue Dec 03 2002 - arvin@suse.de
- added curl-devel and openssl-devel to neededforbuild
* Mon Nov 11 2002 - sh@suse.de
- Support for buttons with icons and text
* Fri Nov 08 2002 - sh@suse.de
- Fixed bug #20326: [Cancel] doesn't abandon changes in package mgr
* Thu Nov 07 2002 - sh@suse.de
- Fixed bug #16339: [Space] doesn't trigger UserInput() in YTable
* Thu Nov 07 2002 - sh@suse.de
- Fixed bug #20539: Screen shot function causes unnecessary exits
- Fixed bug #8362:  File selection box for screen shots
- Fixed possible security hole: Screen shots in /tmp by default
* Thu Nov 07 2002 - sh@suse.de
- Fixed bug #19389: Frame widget shows keyboard shortcuts, but
  can't handle any
* Fri Sep 20 2002 - msvec@suse.cz
- added missing textdomain
- added missing files to POTFILES
- 2.6.23
* Fri Sep 13 2002 - sh@suse.de
- V 2.6.22
- Disabled selecting source RPMs until it works further down
* Thu Sep 12 2002 - sh@suse.de
- V 2.6.21
- Show DelNotify popup even if pkg not installed yet
- Fixed bug #19333: Can't get out of pkg dialog with "Accept"
* Wed Sep 11 2002 - sh@suse.de
- Fixed bug #19419: Y2Pkg hangs on middle mouse click
  This is really a Qt bug. Introduced workaround for that.
* Wed Sep 11 2002 - sh@suse.de
- Fixed bug #19390: Sometimes no keyboard focus without a mouse
* Tue Sep 10 2002 - sh@suse.de
- V 2.6.19
* Tue Sep 10 2002 - sh@suse.de
- Fixed sort by source RPM status in pkg list
* Tue Sep 10 2002 - sh@suse.de
- Change packager priorities: Prefer candidateObj over installedObj
  so the user gets to see his native language more often in pkg
  descriptions (RPM DB is English only)
* Tue Sep 10 2002 - sh@suse.de
- V 2.6.18
- New details view: Dependencies
- Bugfix: No initial dependency check in YOU mode
- Show patch sizes in YOU mode
* Tue Sep 10 2002 - sh@suse.de
- V 2.6.17
- Fixed 'Accept doesn't leave pkg selection' bug
- New view for selecting different versions to install
* Mon Sep 09 2002 - sh@suse.de
- V 2.6.16
- Prepared disk usage display (still disabled for internal reasons)
- Lots of small fixes
* Mon Sep 09 2002 - sh@suse.de
- Fixed minimumSize() hints for YQPkg* - works now in 640x480
- Special icon for delete pkg conflict (tackat)
- Brighter colors for over-long conflict lists ("999 more...")
* Mon Sep 09 2002 - sh@suse.de
- V 2.6.15
  Package manager changes:
- Really ignore conflicts when user chooses so
- Auto dependency check on startup
- "Ignore All" button in dependency conflict dialog
- Show InsNotify / DelNotify
- Search for provides / requires
- Search immediately upon [Return]
- Show pkgs without any RPM group in "zzz All"
- Ignore WM_CLOSE for package selection
- Prepared translation stuff
* Fri Sep 06 2002 - sh@suse.de
- V 2.6.14
- Search view
- Update problem list view
- Misc minor stuff
* Thu Sep 05 2002 - sh@suse.de
- V 2.6.13
- Dependency resolving works - including conflicts
* Mon Sep 02 2002 - sh@suse.de
- V 2.6.12
- Fixed crash with inconsistent YOU data
* Mon Sep 02 2002 - sh@suse.de
- V 2.6.11
- Fixed confusing selection status handling
* Mon Sep 02 2002 - sh@suse.de
- V 2.6.10
- Generalized internal pkg classes
- YOU UI now usable
- colorized lists
- context menus
- lots of small stuff
* Tue Aug 27 2002 - sh@suse.de
- V 2.6.9
- Pkg selection now usable (no dependency checking/solving yet)
* Wed Aug 21 2002 - kkaempf@suse.de
- fix "make dist"
- V 2.6.8
* Mon Aug 19 2002 - sh@suse.de
- V 2.6.7
- New package management
* Fri Aug 09 2002 - sh@suse.de
- V 2.6.6
- Fixed table sorting with `opt(`keepSorting)
* Sat Aug 03 2002 - arvin@suse.de
- write qt warnings to y2log (bug #17161)
* Mon Jul 15 2002 - arvin@suse.de
- workaround for timing problem
* Mon Jul 08 2002 - mvidner@suse.cz
- Provides/Obsoletes also the devel subpackage
* Wed Jul 03 2002 - msvec@suse.cz
- devel sub-package not neeeded
* Mon Jun 24 2002 - arvin@suse.de
- renamed from yast2-ui-qt to yast2-qt
* Thu Jun 06 2002 - arvin@suse.de
- don't link -lstdc++ explicitly
* Fri May 24 2002 - arvin@suse.de
- fixed locking so we can use multi threaded version of qt
* Mon Apr 08 2002 - arvin@suse.de
- fixes for gcc 3.1
* Fri Mar 22 2002 - kkaempf@suse.de
- pass callback information from component stub to interpreter
  (#15311).
* Mon Feb 25 2002 - sh@suse.de
- V 2.5.16
- Applied Michal Svec's security patch
* Mon Feb 25 2002 - sh@suse.de
- V 2.5.15
- Fixed wish #13876: Host name in window title bar
* Wed Feb 20 2002 - sh@suse.de
- V 2.5.14
- Fixed bug #13604: Change fallback title image to new design
* Mon Feb 18 2002 - sh@suse.de
- V 2.5.13
- Fixed bug #13131: SetFocus on a TextEntry should select its contents
* Thu Feb 14 2002 - sh@suse.de
- V 2.5.12
- Fixed changed Qt-3 behaviour: Correct handling for tristate
  checkbox
* Wed Feb 13 2002 - sh@suse.de
- V 2.5.11
- Fixed ColoredLabel alignment: Left and vertically centered
* Fri Feb 08 2002 - sh@suse.de
- V 2.5.10
- New YQImage constructor: Load images locally from within the UI
- Support YQImage `opt(`tiled, `scaleToFit)
- Load images in background pixmap
* Thu Feb 07 2002 - sh@suse.de
- V 2.5.9
- Better check for YaST2 special keys (Ctrl-Shift-Alt)
* Fri Jan 25 2002 - sh@suse.de
- V 2.5.8
- Added MNG support for Image widget
* Thu Jan 24 2002 - sh@suse.de
- V 2.5.6
- New optional widget: ColoredLabel
* Tue Jan 22 2002 - sh@suse.de
- V 2.5.6
- Support new `opt(`keepSorting) for YTable widget
* Tue Jan 22 2002 - sh@suse.de
- Show initial selection (first item)
* Tue Jan 22 2002 - sh@suse.de
- Fixed bug #12833: Arbitrary table sorting with Qt3
* Tue Jan 08 2002 - sh@suse.de
- V 2.5.5
- Added qt3-non-mt to neededforbuild
* Fri Dec 14 2001 - sh@suse.de
- V 2.5.4
- Ported to Qt 3.x
* Tue Dec 11 2001 - sh@suse.de
- V 2.5.3
- Added hyperlink support to RichText widget
* Thu Nov 15 2001 - sh@suse.de
- V 2.5.2
- added proper #include for tolower()
* Fri Nov 09 2001 - ro@suse.de
- use qt-devel-packages in neededforbuild
* Tue Nov 06 2001 - sh@suse.de
- V 2.5.1
- Fixed YQPushButton for automatic shortcut check / resolving
* Thu Sep 27 2001 - sh@suse.de
- Fixed bug #11350: WM close button closes win, but keeps app alive
* Mon Sep 24 2001 - sh@suse.de
- Don't set root window cursor to busy cursor
- V 2.4.17
* Fri Sep 21 2001 - sh@suse.de
- Fixed bug #11073: busy cursor unreliable
  The Qt UI now makes its own busy cursors rather than Qt's.
- V 2.4.16
* Tue Sep 18 2001 - sh@suse.de
- Fixed bug #8534: Spurious <b> </b> in SuSEconfig protocoll
- V 2.4.15
* Mon Sep 17 2001 - sh@suse.de
- Fixed bug #10754: Large popup windows partially invisible
- V 2.4.14
* Fri Sep 14 2001 - sh@suse.de
- Fixed bug #10614: Ikea mode triggered on Alt-W
- Consistent default button handling even in selbox
- V 2.4.13
* Wed Sep 12 2001 - sh@suse.de
- Only one window for all `opt(`defaultsize) dialogs
- Fixed bug #9915: Default button keyboard focus unreliable
- V 2.4.12
* Thu Sep 06 2001 - sh@suse.de
- V 2.4.11
  Implemented new UI builtin: GetDisplayInfo()
* Wed Sep 05 2001 - sh@suse.de
- V 2.4.10
  All headers "ydoc" compliant - fixed build problems
* Tue Sep 04 2001 - sh@suse.de
- V 2.4.9
  improved focus handling - (possible) fix for bug #9915
* Wed Jul 11 2001 - sh@suse.de
- V 2.4.8
  added glyph support (for new UI builtin Glyph() )
* Sat Jul 07 2001 - arvin@suse.de
- neededforbuild += freetype2
* Thu Jul 05 2001 - kkaempf@suse.de
- drop yast2-core-translator from neededforbuild
* Wed Jun 27 2001 - sh@suse.de
- V 2.4.5
  New widget: MultiSelectionBox
* Tue Jun 26 2001 - sh@suse.de
- V 2.4.4
  New widget: MenuButton
* Tue Jun 19 2001 - sh@suse.de
- Implemented wish #8357: Restrict input characters
  new widget property `ValidChars for TextEntry, ComboBox
* Tue Jun 19 2001 - kkaempf@suse.de
- implemented callback mechanism
* Tue Jun 12 2001 - sh@suse.de
- V 2.4.2
  Changed BarGraph variable substitution from "%%d" to "%%1"
  to become sformat() compatible
* Fri Jun 08 2001 - sh@suse.de
- V 2.4.1
- Implemented wish #7259: Automatically set `opt(`decorated)
  for non-defaultsize dialogs
- Implemented wish #8363: UserInput() returns special ID
  'debugHotkey when Ctrl-Alt-Shift-D is pressed
* Fri Jun 08 2001 - sh@suse.de
- V 2.4.0
  Macro recorder
* Mon May 14 2001 - sh@suse.de
- V 2.3.14: Fixed bug #8254, 2nd part: Bad czech charset in resizer
  Work around QString::sprintf() limitations (Latin1 compatible
  only), use QString::arg() instead
* Mon May 14 2001 - sh@suse.de
- V 2.3.13: Fixed bug #8254: Bad czech charset in resizer
  Added fromUTF8() call for explicit string conversion
* Tue May 08 2001 - kkaempf@suse.de
- provide split-alias entries for older versions
* Mon Apr 30 2001 - kkaempf@suse.de
- provide "YaST2-UI"
* Mon Apr 30 2001 - sh@suse.de
- V 2.3.10
  (partial) fix for bug #7004:
  Top-left align image in YImage widgets
* Thu Apr 19 2001 - sh@suse.de
- V 2.3.9
  Fixed bugs in RadioBox behaviour:
- second click on the same button will no longer deactivate it
- accept only one active RadioButton on RadioBox creation
  (all but the last will be deactivated)
* Thu Apr 12 2001 - sh@suse.de
- V 2.3.8
  Improved RadioBox keyboard navigation:
  No longer rely on QButtonGroup, own implementation of RadioBox
  behaviour -> no longer strange key mappings (cursor keys rather
  than tab as everybody expects)
* Thu Apr 05 2001 - sh@suse.de
- new options zeroWidth, zeroHeight for image widget
  to avoid complaints about title graphics not getting their
  "nice size" of 2000 pixels wide
- V 2.3.7
* Thu Mar 29 2001 - sh@suse.de
- moved shared libs from /usr/lib/YaST2/lib to /usr/lib
- V 2.3.5
* Thu Mar 29 2001 - kkaempf@suse.de
- dont install lib, only plugin is needed
* Tue Mar 27 2001 - kkaempf@suse.de
- minimize file list for yast2-ui-qt package
* Fri Mar 23 2001 - arvin@suse.de
- moved documentation to packages/yast2-ui-qt
* Sun Mar 18 2001 - ro@suse.de
- fixed neededforbuild
* Mon Mar 12 2001 - arvin@suse.de
- Strip plugin in package.
* Thu Mar 08 2001 - arvin@suse.de
- Added unicode fonts (previously in y2base).
* Sat Jan 27 2001 - arvin@suse.de
- package split y2qt / y2qt-devel
* Tue Jan 23 2001 - sh@suse.de
- prevent crash upon window manager close
* Mon Jan 22 2001 - sh@suse.de
- V2.2.10
- New default title graphics from <wimer@suse.de> that are
  no longer cut off at the right at 640x480
- Renamed suseheader.xpm to yast2.xpm
- Use yast2.xpm for both `Image(`suseheader) and `Image(`yast2)
- Removed obsolete XPM images that were never used anyway
* Tue Jan 16 2001 - sh@suse.de
- V2.2.9
- New default image for Image(`suseheader): 2000 pixels wide
* Fri Jan 12 2001 - sh@suse.de
- V2.2.8
- Added module QXEmbed from Qt/KDE2 (TrollTech / LGPL)
  to enable reliable KDE2 control center integration:
  keyboard focus now works when running embedded in kcmshell
  (fix for bug #5475)
* Thu Jan 11 2001 - sh@suse.de
- V2.2.7
- Hide YQTextEntry label if empty label specified
-> no empty space above TextEntry widgets without label
* Tue Dec 19 2000 - ma@suse.de
- V2.2.6
- pass YCPstrings to ui specific widgets
* Mon Dec 18 2000 - sh@suse.de
- New optional widget: DownloadProgress
- V2.2.5
* Fri Dec 08 2000 - sh@suse.de
- More reliable nicesize() and setSize() behaviour for
  SelectionBox and TextEntry
-> no more cut-off pixel lines at the bottom
- V2.2.4
* Tue Dec 05 2000 - sh@suse.de
- New widget: MultiLineEdit
- Dialogs can no longer exceed screen dimensions
- V2.2.3
* Tue Nov 28 2000 - arvin@suse.de
- Fixed ComboBox layout errors on resize.
* Tue Nov 28 2000 - kkaempf@suse.de
- add libmng-devel to neededforbuild
* Thu Nov 16 2000 - kkaempf@suse.de
- split library and plugin
* Mon Nov 13 2000 - sh@suse.de
- Removed glx, glx-devel, mesa from .spec.in - Qt no longer needs it
- V2.1.8
* Thu Nov 09 2000 - kkaempf@suse.de
- static plugin only
* Tue Nov 07 2000 - sh@suse.de
- re-enabled static libs
  new widgets: LogView, IntField
  moved completely to new logging
  version 2.1.6
* Fri Nov 03 2000 - kkaempf@suse.de
- adapt neededforbuild for new qt
* Thu Nov 02 2000 - kkaempf@suse.de
- fix runqt include file
* Tue Oct 31 2000 - sh@suse.de
- Increased gcc warning level
  resolved minor warnings
  disabled static libs (speed up compilation)
  version 2.1.4
* Fri Oct 27 2000 - kkaempf@suse.de
- provide correct library
* Wed Oct 25 2000 - kkaempf@suse.de
- Group provided
* Wed Oct 25 2000 - sh@suse.de
- New widgets: BarGraph, Slider, PartitionSplitter
  version 2.1.2
* Thu Aug 31 2000 - sh@suse.de
- Added mesa and mesasoft to spec file
  (Qt 2.2+ now requires OpenGL)
  version 2.1.1
* Thu Jul 13 2000 - sh@suse.de
- Resize behaviour
  version 2.0.11
* Fri Jul 07 2000 - sh@suse.de
- Change table widget sorting for the umpteenth time:
  Maintain insertion order but allow for user sort-by-click
  version 2.0.10
* Thu Jul 06 2000 - sh@suse.de
- proper window close button handling (-> `cancel)
  version 2.0.9
* Tue Jul 04 2000 - kkaempf@suse.de
- check argument in returnNow
  version 2.0.8
* Mon Jun 26 2000 - sh@suse.de
- Changed default title image for SuSE 7.0
- increased version number to 2.0.7
* Mon Jun 19 2000 - kkaempf@suse.de
- use xmset from new saxtools package
  version 2.0.6
* Mon Jun 19 2000 - schwab@suse.de
- Add %%suse_update_config.
- Lower opt level on ia64.
* Mon Jun 19 2000 - kkaempf@suse.de
- add xmset from SaX2
  version 2.0.5
* Thu Jun 08 2000 - sh@suse.de
- Disabled X Input Method hack - this doesn't seem to work with
  XFree86 4.0
* Mon Jun 05 2000 - sh@suse.de
- Added correct QTDIR and dependencies to qtlib2 to spec file
* Thu May 18 2000 - kkaempf@suse.de
- pass includes to dist
  add tools to specfile
* Mon May 15 2000 - sh@suse.de
- New widget: ComboBox
* Wed Apr 26 2000 - kkaempf@suse.de
- Initial version based on yast2 from SuSE 6.4
